# pqxx::trigger Class Reference

`#include <trigger.hxx>`

List of all members.

## Public Member Functions

| trigger (connection_base &C, const PGSTD::string &N)
| Constructor. Registers the trigger with connection C.
virtual | ~trigger () throw ()
const PGSTD::string & | name () const
virtual void | operator() (int be_pid)=0
| Overridable: action to invoke when trigger is notified.

## Protected Member Functions

connection_base & | Conn () const throw ()

## Constructor & Destructor Documentation

pqxx::trigger::trigger | ( | connection_base & | C,
|  | const PGSTD::string & | N |
| ) |  |  |

Constructor. Registers the trigger with connection C.

Parameters:

  | C | Connection this trigger resides in.
  | N | A name for the trigger.

virtual pqxx::trigger::~trigger | ( |  | ) | throw ()`[virtual]`

## Member Function Documentation

const PGSTD::string& pqxx::trigger::name | ( |  | ) | const

virtual void pqxx::trigger::operator() | ( | int | be_pid | ) | `[pure virtual]`

Overridable: action to invoke when trigger is notified.

Parameters:

  | be_pid | Process ID of the database backend process that served our connection when the trigger was notified. The actual process ID behind the connection may have changed by the time this method is called.

connection_base& pqxx::trigger::Conn | ( |  | ) | const throw ()`[protected]`

The documentation for this class was generated from the following file:

- trigger.hxx